# Checkpto

From PanoTools.org Wiki

checkpto is a command-line tool and Helper program for Hugin's assistant that examines a Hugin's project file and reports back the number of image chains or parts present. It does this by examining how images are connected with control points. If images are not connected together they can not be positioned correctly by optimizing their position.

### usage

A typical usage would be:

     checkpto project.pto

### return

    0   If only one image chain present.
    -1   If error.
    >1  If more than one image chain present. Return value is number of image chains.

### Further uses

checkpto can also print some more information the pto file.

- `--print-output-info` Print more information about the output (e.g. images in output ROI, output layers, exposure layers)
- `--print-lens-info` Print more information about lenses
- `--print-stack-info` Print more information about assigned stacks
- `--print-image-info` Prints extended information about image files
- `--create-missing-images` Creates placeholder images for non-existing images in same directory as the pto file. This can be useful for debugging pto files without the need for all (big) images. (This is similar to ptodummy from Panotools-Scripts.)

Retrieved from "https://wiki.panotools.org/index.php?title=Checkpto&oldid=16589"